# norootforbuild
%define		pversion	1.1.1
Summary:	My Media System is a multimedia center for GNU/LInux
Name:		mms
Version:	1.1.1
Release:	4.15
License:	GPL
Group:		Applications/Multimedia
URL:		http://mms.sunsite.dk/
Source0:	http://mms.sunsite.dk/%{name}-%{pversion}.tar.bz2
Source1:	mms.png
Source2:	mms.xsession
Patch1:		mms-python-libdir.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	SDL-devel
%if 0%{?suse_version} >= 1010 && 0%{?sles_version} != 11
BuildRequires:	commoncpp2-devel
%endif
BuildRequires:	freetype2-devel
BuildRequires:	gcc-c++ gcc flex bison
BuildRequires:	gettext-devel
BuildRequires:	imlib2-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	lirc
BuildRequires:	ncurses-devel
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig
BuildRequires:	sed
BuildRequires:	taglib-devel
BuildRequires:	update-desktop-files
BuildRequires:	zlib-devel
%if 0%{?suse_version} > 1030
BuildRequires:	sqlite3-devel
%else
BuildRequires:	sqlite-devel
%endif
BuildRequires:	python-devel
BuildRequires:	libxine-devel
BuildRequires:	libffmpeg-devel
BuildRequires:	libinotifytools-devel
%if 0%{?suse_version} >= 1030
BuildRequires:	libinotifytools0
%else
BuildRequires:	libinotifytools
%endif
BuildRequires:	glib2-devel
Requires:	MPlayer
%if 0%{?suse_version} < 1010
BuildRequires:	taglib
%else
Recommends:	W32codecs
%endif

%description
My Media System is an application that manages, displays and plays media content
such as videos, music, pictures, and more. MMS runs perfectly on anything from
a Set-Top-Box connected to your TV-Set, to your specially tailored multimedia PC
and HD display.

%prep
%setup -q -n %{name}-%{pversion}
%patch1
touch Makefile configure

%build
#./configure --prefix=%{_prefix} \
#	--enable-game \
#	--enable-tv \
#	--enable-lirc \
#       --enable-evdev \
#	--enable-dvb \
#	--enable-eject-tray \
#	--enable-bttv-radio
./configure --prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--config=%{_sysconfdir}/mms \
	--enable-clock \
	--enable-notify-area \
	--enable-weather \
	--enable-vbox \
	--enable-game \
	--enable-tv \
	--enable-res-switch \
	--enable-lirc \
	--enable-evdev \
	--enable-opengl \
	--enable-dvb \
	--enable-mpeg \
	--enable-lcd \
	--enable-python \
	--enable-benchmark

%{__make}

%install
%{__make} DESTDIR=%{buildroot} install
%find_lang %{name}
%suse_update_desktop_file -c %name %name "MyMediaSystem" /usr/bin/mms mms.png Video AudioVideo
%{__install} -D -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/mms.png
%{__install} -D -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/xsessions/mms.desktop
%{__install} -d -m 0777 %{buildroot}%{_localstatedir}/lib/%{name}
%{__mkdir_p} %{buildroot}%{_datadir}/applications
%suse_update_desktop_file -c mms mms "My Media System is a multimedia center" mms mms.png Application AudioVideo

perl -pi -e 's,fullscreen\ \=\ /media/,input\ \=\ keyboard,g' %{buildroot}%{_sysconfdir}/mms/Config*
#
sed -i -f - %{buildroot}%{_sysconfdir}/mms/Config* <<EOF
s/^input = lirc/input = keyboard/
s/^fullscreen = false/fullscreen = true/
EOF

%clean
%{__rm} -fr %{buildroot}

%post

%postun

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc doc/LICENSE doc/README
%config(noreplace) %{_sysconfdir}/mms/Config
%config %{_sysconfdir}/mms/Config.orig
%config(noreplace) %{_sysconfdir}/mms/*Config
%config(noreplace) %{_sysconfdir}/mms/ClockAlarms
%config(noreplace) %{_sysconfdir}/mms/genericplayer.ops
%config %{_sysconfdir}/mms/lircrc.example
%config %{_sysconfdir}/mms/scripts
%config %{_sysconfdir}/mms/input
#%config(noreplace) %{_sysconfdir}/mms/input-keyboard
#%config(noreplace) %{_sysconfdir}/mms/input-lirc
#%config(noreplace) %{_sysconfdir}/mms/lirc.conf
%{_bindir}/mms*
%{_datadir}/mms
%{_datadir}/locale
%lang(de) %{_mandir}/de/man1/mms*.1.gz
%{_mandir}/man1/mms*.1.gz
%{_datadir}/applications/mms.desktop
%{py_sitedir}
%dir %{_libdir}/mms
%dir %{_libdir}/mms/plugins
%attr(0755,root,root) %{_libdir}/mms
%attr(0777,root,root) %{_localstatedir}/cache/%{name}
%attr(0777,root,root) %{_localstatedir}/lib/%{name}
%{_datadir}/xsessions/mms.desktop
%{_datadir}/icons/hicolor/*x*/apps/mms.png
%{_datadir}/pixmaps/mms.png

%changelog
* Mon Aug 18 2008 Carsten Schoene <cs@linux-administrator.com>
- initial import
